> For the complete documentation index, see [llms.txt](https://docs.supervisely.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.supervisely.com/import-and-export/import/supported-annotation-formats/pointcloud_episodes/kitti360.md).

# KITTI 360

## Overview

{% hint style="success" %}
Easily import your point clouds with annotations in the KITTI-360 format. This converter is designed for the point cloud episodes modality. For the point cloud modality, please refer to [KITTI-3D](https://docs.supervisely.com/import-and-export/import/supported-annotation-formats/pointclouds/kitti3d).
{% endhint %}

The original KITTI-360 is a large-scale annotated dataset recorded in the suburbs of Karlsruhe, Germany, covering 73.7 km of driving with over 320k images and 100k laser scans. It provides both 3D point clouds and 2D images with dense semantic and instance annotations across 19 classes, and maintains consistent instance IDs over time. The data, captured with a 360° sensing setup including fisheye and perspective cameras, a stereo camera, Velodyne, and SICK laser scanners, is precisely geolocalized using an IMU/GPS system.

## Format description

**Supported point cloud format:** `.bin`\
**With annotations:** yes\
**Supported annotation format:** `.xml`\
**Data structure:** Information is provided below.

## Input files structure

{% hint style="success" %}
Example data: [download ⬇️](https://github.com/supervisely-ecosystem/import-kitti-360/releases/download/v0.0.1/Example_1.zip)<br>
{% endhint %}

**Format directory structure:**

```
📦KITTI-360
├──📂calibration
│   ├──📄calib_cam_to_velo.txt
│   ├──📄perspective.txt
│   └──📄...
├──📂data_2d_raw
│   ├──📂2013_05_28_drive_{seq:04}_sync
│   │   ├──📂image_{00|01}
│   │   │   ├──📂data_rect
│   │   │   │   ├──🏞️{frame:010}.png
│   │   │   │   └──🏞️...
│   │   ├──📂image_{02|03}
│   │   │   └──📂...
├──📂data_3d_raw
│   ├──📂2013_05_28_drive_{seq:04}_sync
│   │   ├──📂velodyne_points
│   │   │   ├──📂data
│   │   │   │   ├──📄{frame:010}.bin
│   │   │   │   └──📄...
├──📂data_3d_bboxes
│   ├──📂train
│   │   ├──📄2013_05_28_drive_{seq:04}_sync.xml
│   │   └──📄...
├──📂data_poses
│   ├──📂2013_05_28_drive_{seq:04}_sync
│   │   ├──📄cam0_to_world.txt
└── └── └──📄...
```

{% hint style="info" %}
Information on the KITTI-360 dataset structure can be found [here](https://www.cvlibs.net/datasets/kitti-360/documentation.php)
{% endhint %}

## Useful links

* [KITTI-360 homepage](https://www.cvlibs.net/datasets/kitti-360/index.php)
* [KITTI-360 GitHub page](https://github.com/autonomousvision/kitti360Scripts)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.supervisely.com/import-and-export/import/supported-annotation-formats/pointcloud_episodes/kitti360.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
